Upgrade from v10 to v11

I tried to update from v10 to v11.
first, it’s giving me an error for python2.7 which need to upgrade, i had upgrade python to 3.6. and make python 3.6 as default.
After this i try to update erp but its giving me this error.
any idea?

Traceback (most recent call last):
File “/usr/bin/bench”, line 5, in
from pkg_resources import load_entry_point
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3088, in
@_call_aside
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3072, in _call_aside
f(*args, **kwargs)
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3101, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 574, in _build_master
ws.require(requires)
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 892, in require
needed = self.resolve(parse_requirements(requirements))
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 778, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The ‘bench==3.0.0’ distribution was not found and is required by the application

A similar issue, hope this helps -

Hi
I saw this tread , but i dont know how to fix this error. even there they did not mention how to fix this.

Did you try

$ bench setup requirements 

Before trying to update?

Make sure you are on master branches before $ bench migrate

nope, i didt try .
any command i am trying its giving same error

Traceback (most recent call last):
File “/usr/bin/bench”, line 5, in
from pkg_resources import load_entry_point
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3088, in
@_call_aside
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3072, in _call_aside
f(*args, **kwargs)
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3101, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 574, in _build_master
ws.require(requires)
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 892, in require
needed = self.resolve(parse_requirements(requirements))
File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 778, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The ‘bench==3.0.0’ distribution was not found and is required by the application

I used this approach - (Resolved) Restore V12 from V10 backups